/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.annotation.ejb;

import java.lang.annotation.Annotation;
import java.util.ArrayList;

import org.jboss.annotation.ejb.RemoteBinding;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.2.3 $
 */
public class RemoteBindingImpl implements RemoteBinding
{
   private String jndi;
   private String stack;
   private String bindUrl;
   private Class proxyFactory;
   
   public RemoteBindingImpl()
   {
      jndi = "";
      stack = "";
      bindUrl = "socket://0.0.0.0:3873";
      proxyFactory = org.jboss.ejb3.remoting.RemoteProxyFactory.class;
   }

   public RemoteBindingImpl(String jndi, String stack, String bindUrl, Class proxyFactory)
   {
      this.jndi = jndi;
      this.stack = stack;
      this.bindUrl = bindUrl;
      this.proxyFactory = proxyFactory;
   }
   
   public void setStack(String stack)
   {
      this.stack = stack;
   }
   
   public void setFactory(Class factory)
   {
      this.proxyFactory = factory;
   }
   
   public void setJndiBinding(String jndi)
   {
      this.jndi = jndi;
   }
   
   public String jndiBinding()
   {
      return jndi;
   }

   public String interceptorStack()
   {
      return stack;
   }

   public String clientBindUrl()
   {
      return bindUrl;
   }

   public Class factory()
   {
      return proxyFactory;
   }

   public Class<? extends Annotation> annotationType()
   {
      return null;
   }
}
